(with-eval-after-load 'dired
  (add-hook 'dired-mode-hook 'dired-omit-mode)
  (customize-set-variable 'dired-omit-extensions
			  '(;; C
			    ".o" ".so" ".lo" ".la" ".tp" ".a"
			    ;; LaTeX
			    ".aux" ".out" ".toc"
			    ;; Emacs
			    "~"))
  (customize-set-variable 'dired-omit-files
			  (regexp-opt '(;; GNU Autotools
					"autom4te.cache"
					"aclocal.m4"
					"ar-lib"
					"compile"
					"config.guess"
					"config.h.in"
					"config.log"
					"config.rpath"
					"config.status"
					"config.sub"
					"depcomp"
					"install-sh"
					"libtool"
					"ltmain.sh"
					"Makefile.in"
					"missing"
					"stamp-h1"
					;; Python
					"__pycache__")))
  (defun tr/dired-touch (files)
    "Call ftouch with FILES."
    (interactive "sFile name(s): ")
    (shell-command (concat "touch " files))
    (revert-buffer))

  (keymap-set dired-mode-map "t" 'tr/dired-touch))

(with-eval-after-load 'dired-aux
  (customize-set-variable
   'dired-guess-shell-alist-user
   '(("\\.jpe?g\\'" . "xdg-open")
     ("\\.png\\'" . "xdg-open")
     ("\\.pdf\\'" . "xdg-open"))))

(use-package all-the-icons-dired
  :init
  (add-hook 'dired-mode-hook 'all-the-icons-dired-mode))
