#!/usr/bin/dash

bar_output() {
    bar_date=$(LANG=fr_FR.UTF-8 date '+%A %d %B %H:%M')
    bar_volume=$(wpctl get-volume '@DEFAULT_AUDIO_SINK@' | cut -d'.' -f2)
    bar_connection_ssid=$(nmcli connection show | tail -n+2 | head -n1 | cut -d' ' -f1)
    bar_connectivity=$(nmcli general | tail -n1 | cut -d' ' -f3)
    bar_uptime=$(uptime -p | awk -d' ' '{print($2,"h",$4min)}')

    if [ $(hostname) = 'sapin' ]
    then
	bar_battery=$(upower -i $(upower -e | grep 'BAT') | grep 'percentage' | rev | cut -d' ' -f1 | rev)
	bar_battery="  $bar_battery"
    fi
    # IDEA: JSON format for better typesetting
    # IDEA: mail
    # IDEA: CPU
    # IDEA: RAM

    echo "  $bar_connection_ssid ($bar_connectivity)   $bar_volume% $bar_battery   $bar_uptime   $bar_date"
}

trap bar_output USR1

echo $$ > /tmp/sway-bar-status-pid

while true
do
    bar_output
    sleep 1
done
